Subject: Re: bug#13768: --without-posix code uses scm_getpid() in libguile-2.0.2
From: Mark H Weaver <[email-masked]>
To: Andy Wingo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Feb 2013 13:58:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andy,

Andy Wingo <[email-masked]> writes:
> Our PRNG is not secure.  We should not be making arguments from the
> perspective of security.  (I think including the PID is a good thing,
> but not because of security.)

Indeed, point well taken.

> Why don't we just add the result of getpid() without relying on the
> scm_getpid() binding.  All platforms have it.

Ah, good!  I didn't know that getpid() was available on MinGW.

> Thanks for following up.  TBH though I would prefer that if you already
> know the solution, to go ahead and fix it instead of writing a mail and
> fixing the docs.

Agreed.  I didn't know the solution until just now.  I have done as you
suggested above, and am now closing this bug.

    Thanks,
      Mark